Subject: Re: linux-next: Tree for Aug 22 (evm)

From: Randy Dunlap <[email-masked]>
Date: Fri, 2 Sep 2011 08:01:34 -0700

On Thu, 1 Sep 2011 22:21:16 -0400 Arnaud Lacombe wrote:

> Hi,
> 
> On Thu, Sep 1, 2011 at 9:40 PM, Mimi Zohar <[email-masked]> wrote:
> > On Thu, 2011-09-01 at 20:32 -0400, Arnaud Lacombe wrote:
> >> Hi,
> >>
> >> On Sat, Aug 27, 2011 at 2:06 AM, Arnaud Lacombe <[email-masked]> wrote:
> >> > Hi,
> >> >
> >> > On Fri, Aug 26, 2011 at 1:00 PM, Randy Dunlap <[email-masked]> wrote:
> >> >> On Fri, 26 Aug 2011 08:39:02 -0400 Mimi Zohar wrote:
> >> >>
> >> >>> On Tue, 2011-08-23 at 22:10 -0400, Arnaud Lacombe wrote:
> >> >>> > Hi,
> >> >>> >
> >> >>> > On Tue, Aug 23, 2011 at 7:40 PM, Randy Dunlap <[email-masked]> wrote:
> >> >>> > > I think that you are going to need to do something like Arnaud suggested
> >> >>> > > and use "depends on TCG_TPM=y" instead of just "depends on TCG_TPM",
> >> >>> > > unless you can convince someone that this is a kconfig bug.
> >> >>> > >
> >> >>> > dammit... I guess there is...
> >> >>> >
> >> >>> > If you consider the following Kconfig:

[snip]

> >> >>> > I would have expected CONFIG_C and CONFIG_C0 to be 'y', just as 'E'.
> >> >>> > If you remove D's dependency on 'A', everything works as expected. So
> >> >>> > it would seem direct dependency state influence the state of reverse
> >> >>> > dependencies...
> >> >>> >
> >> >>> > Will have a look...
> >> >>> >
> >> >>> >  - Arnaud
> >> >>>
> >> >>> Thanks for looking into this!  Instead of changing 'TCG_TPM' to
> >> >>> 'TCG_TPM=y', the dependency should be on 'TRUSTED_KEYS=y'.  Then when
> >> >>> I've refactored ENCRYPTED_KEYS, removing the ENCRYPTED_KEYS dependency
> >> >>> on TRUSTED_KEYS, the EVM dependency would be '(TRUSTED_KEYS=y ||
> >> >>> TRUSTED_KEYS=n)'.  Do you want a temporary fix for now?
> >> >>
> >> >> Yes, linux-next (randconfig) builds are still failing, so we need something
> >> >> to prevent that.
> >> >>
> >> > you may want to try:
> >> >
> >> > git://github.com/lacombar/linux-2.6.git master/kconfig/expr-woes
> >> >
> >> ping ?
> >>
> >>  - Arnaud
> >
> > I assume you want me to test using expr-woes, but I'm not how.  Could
> > you help me here a bit.
> >
> > (Over the weekend I removed encrypted keys dependency on TCG_TPM.)
> >
> Well, at this point, this is not really related to the particular
> issue, but to kconfig more generally. I guess I'll just post the
> patches on LKML and see if they triggers non-wanted regression.

Yes, please do that.

> Thanks,
>  - Arnaud
> 
> > thanks,
> >
> > Mimi
> >
> >> > only the last commit is relevant to the problem, but depend on one
> >> > another to get <assert.h>. The rest aims at tidying the expr stuff.
> >> > I'm looking for regression it may have introduced.
> >> >
> >> > Thanks,
> >> >  - Arnaud
> >> >
> >> > ps: I'll most likely be AFK until sunday evening (to be conservative).

---
~Randy
*** Remember to use Documentation/SubmitChecklist when testing your code ***